# Function Types Function Types ## Gets all of the function types in the system. - [GET /functionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/listfunctiontypes.md): This method will scan all function types and and return them to the caller. ## Creates a new function type record that does not already exist. - [POST /functionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/createfunctiontype.md): This method will auto-generate an ID and create a new function type. If an ID is specified for the function type, an error will be thrown. ## Execute Batch Operations - [POST /functionTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the function types in the system. - [GET /functionTypes/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/listfunctiontypespublic.md): This method will scan all function types and and return them to the caller. ## Returns a function type from the system by its ID. - [DELETE /functionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/deletefunctiontype.md): This method will delete a function type with the specified ID. ## Returns a function type from the system by its ID. - [GET /functionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/getfunctiontype.md): This method will look up a function type by the specified ID and return it back. ## Partially updates a function type with the specified ID. - [PATCH /functionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/patchfunctiontype.md): This method will patch an existing function type with the specified ID, using the HTTP PATCH specification. ## Updates a function type with the specified ID. - [PUT /functionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/updatefunctiontype.md): This method will update an existing function type with the specified ID.